CCMCheckinDefault (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ccm.CCMCheckinDefault class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ccm
Class CCMCheckinDefault

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.ccm.Continuus
                  org.apache.tools.ant.taskdefs.optional.ccm.CCMCheck
                      org.apache.tools.ant.taskdefs.optional.ccm.CCMCheckinDefault

All Implemented Interfaces:
  java.lang.Cloneable

    public class CCMCheckinDefault

extends CCMCheck

Performs Continuus Checkin Default task command.

Field Summary
`static java.lang.String` | `DEFAULT_TASK` The default task

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ccm.CCMCheck
`filesets, FLAG_COMMENT, FLAG_TASK`

Fields inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus
`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CREATE_TASK, COMMAND_DEFAULT_TASK, COMMAND_RECONFIGURE`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`CCMCheckinDefault()` Constructor for CCMCheckinDefault.

Method Summary

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ccm.CCMCheck
`addFileset, execute, getComment, getFile, getTask, setComment, setFile, setTask`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus
`getCcmAction, getCcmCommand, run, run, setCcmAction, setCcmDir`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TASK

    public static final java.lang.String DEFAULT_TASK

  The default task

  See Also:
    Constant Field Values

Constructor Detail

### CCMCheckinDefault

    public CCMCheckinDefault()

  Constructor for CCMCheckinDefault.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD